org.eclnt.jsfserver.defaultscreens

## Class IdAttributesSelection

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.IdAttributesSelection

- All Implemented Interfaces:
    java.io.Serializable, BasePopup.IPopupListener, ModalPopup.IModalPopupListener

      public class IdAttributesSelection
      extends java.lang.Object
      implements java.io.Serializable, ModalPopup.IModalPopupListener

  Class for server side implementation of COMBOFIELD component. Opens a pop up window with a list of valid values and calls back the logic when the user selects a value. Use @link `ModalPopup.createInstance()` or @line `#createInstanceWithExplanation(String)` in order to get an instance, then fill values via @link `#addLine(String, String)` and specify the call back. You can select two call back options: either just the selected id via @link #setCallBack(ISetId) or the selected id and its text via @link #setCallBack(ISetIdText).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IdAttributesSelection.IdAttributesLine`
    `class` | `IdAttributesSelection.IdAttributesLineGrid`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `m_explanation`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdAttributesSelection.IdAttributesLine` | `addLine(java.lang.String id, java.lang.String[] attributes)` Adds a line to the list of valid values.
    `void` | `clear()` Clears all items.
    `static IdAttributesSelection` | `createInstance(java.lang.String[] titles, java.lang.String[] widths)` Creates a normal instance that is presented to the user as straight list.
    `static IdAttributesSelection` | `createInstance(java.lang.String[] titles, java.lang.String[] widths, boolean allDataToClient)`
    `FIXGRIDListBinding<IdAttributesSelection.IdAttributesLine>` | `getLines()`
    `java.lang.String` | `getRequestFocus()`
    `int` | `getRowHeight()`
    `boolean` | `getSuppressHeadline()`
    `boolean` | `getWithHeader()`
    `void` | `onCancel(ActionEvent event)`
    `void` | `onOK(ActionEvent event)`
    `void` | `onPopupClosedByUser(ActionEvent ae)` Internal usage.
    `void` | `preselect(java.lang.String id)` Preselects the corresponding item: the item is selected and the list is scrolled so that the item is visible.
    `void` | `processSelectLine(IdAttributesSelection.IdAttributesLine line)` Internal usage.
    `void` | `reactOnPopupClosedByUser()` Internal usage.
    `void` | `setCallBack(ISetId callBack)` Specifies a call back.
    `void` | `setCallBack(ISetIdAttributes callBack)` Specifies a call back.
    `void` | `setPopupHeight(int height)` Set the width of the popup that is opened.
    `void` | `setPopupWidth(int width)` Set the height of the popup that is opened.
    `void` | `setRow(ROWComponent row)` Internally used.
    `void` | `setRowHeight(int rowHeight)` Explicitly set the row height that is used within the grid.
    `void` | `setSuppressHeadline(boolean value)` If set to "true" then the grid head line is not shown but only the grid content is shown.
    `void` | `setWithHeader(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_explanation

          public java.lang.String m_explanation

  - ### Method Detail

    - #### createInstance

          public static IdAttributesSelection createInstance(java.lang.String[] titles,
                                                             java.lang.String[] widths)

      Creates a normal instance that is presented to the user as straight list.

    - #### getRequestFocus

          public java.lang.String getRequestFocus()

    - #### createInstance

          public static IdAttributesSelection createInstance(java.lang.String[] titles,
                                                             java.lang.String[] widths,
                                                             boolean allDataToClient)

      Parameters:
        `allDataToClient` - IF setting this parameter to true, then all data you pass will be transferred to the client in on step. By default the data in the value help popup is loaded by using server side scrolling - i.e. with every scrolling operation data is re-loaded from the server side.
        You should ny default stay with allDatatoClient=false, and only switch to true when you are sure that the length of the list id not too long... "Too long" depends on your scenario, of course, but you should get suspicious when passing more than 100 items.

    - #### setRowHeight

          public void setRowHeight(int rowHeight)

      Explicitly set the row height that is used within the grid.

    - #### getRowHeight

          public int getRowHeight()

    - #### setRow

          public void setRow(ROWComponent row)

      Internally used.

    - #### clear

          public void clear()

      Clears all items.

    - #### addLine

          public IdAttributesSelection.IdAttributesLine addLine(java.lang.String id,
                                                                java.lang.String[] attributes)

      Adds a line to the list of valid values.

    - #### setCallBack

          public void setCallBack(ISetId callBack)

      Specifies a call back. The call back passes the selected id.

    - #### setCallBack

          public void setCallBack(ISetIdAttributes callBack)

      Specifies a call back. The call back passes the selected id and the selected attributes.

    - #### onPopupClosedByUser

          public void onPopupClosedByUser(ActionEvent ae)

      Internal usage.

    - #### getLines

          public FIXGRIDListBinding<IdAttributesSelection.IdAttributesLine> getLines()

    - #### processSelectLine

          public void processSelectLine(IdAttributesSelection.IdAttributesLine line)

      Internal usage.

    - #### reactOnPopupClosedByUser

          public void reactOnPopupClosedByUser()

      Internal usage.
      Specified by:
        `reactOnPopupClosedByUser` in interface `BasePopup.IPopupListener`

    - #### getWithHeader

          public boolean getWithHeader()

    - #### setWithHeader

          public void setWithHeader(boolean value)

    - #### onOK

          public void onOK(ActionEvent event)

    - #### onCancel

          public void onCancel(ActionEvent event)

    - #### setPopupWidth

          public void setPopupWidth(int width)

      Set the height of the popup that is opened.

    - #### setPopupHeight

          public void setPopupHeight(int height)

      Set the width of the popup that is opened.

    - #### setSuppressHeadline

          public void setSuppressHeadline(boolean value)

      If set to "true" then the grid head line is not shown but only the grid content is shown.

    - #### getSuppressHeadline

          public boolean getSuppressHeadline()

    - #### preselect

          public void preselect(java.lang.String id)

      Preselects the corresponding item: the item is selected and the list is scrolled so that the item is visible.

Copyright © CaptainCasa Gmbh. All Rights Reserved.